Subject: bug#58786: 29.0.50; Error with Info-minibuf-history not declared

From: Drew Adams <[email-masked]>
Date: Wed, 26 Oct 2022 16:11:27 +0000

My code includes just a vacuous defvar, to
declare the var but not initialize it to nil.

  (defvar Info-minibuf-history)

That works, and in all Emacs versions, AFAIK.

On the other hand, we still have this in the
Elisp manual, node `Minibuffer History'.  It
says that you must initialize a history var
to nil.  I don't think that's correct (and I
don't think that should be needed).

   If you don't specify HISTORY, then the
   default history list 'minibuffer-history'
   is used.  For other standard history lists,
   see below.  You can also create your own
   history list variable; just initialize it
   to 'nil' before the first use.

I think the last sentence can/should be
changed to tell users to declare the var,
not that they need to initialize it to nil.